GET /v1/pipedream/apps/{app}/actions
List available actions for a Pipedream app

Path Parameters

app string required path
App slug (e.g., 'twilio', 'google_sheets')

Responses

200 OK
application/json
code integer
data object[]
Array of:
description string
key string
name string
version string
message string
requestId string
400 Bad Request
404 Not Found
503 Service Unavailable
curl -X GET 'https://api.example.com/v1/pipedream/apps/string/actions' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/pipedream/apps/string/actions', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/pipedream/apps/string/actions', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/pipedream/apps/string/actions", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": [    {      "description": "<string>",      "key": "<string>",      "name": "<string>",      "version": "<string>"    }  ],  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I